<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns="http://www.w3.org/2002/xforms" 
                xmlns:xform="http://www.w3.org/2002/xforms" 
                xmlns:art="http://www.intevation.de/2009/artifacts">
    <xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no"/>
    
    <xsl:template match="*[local-name() = 'select']">
        <xsl:variable name="selectName" select="@ref"/>
            <div id="timeseriesfilter">
                <table>
                    <tr>
                        <th class="parameter"><xsl:value-of select="*[local-name() = 'label']"/>:</th>
                        <td>
                            <table>
                                <xsl:apply-templates select="choices/item" mode="table"/>
                            </table>
                        </td>
                    </tr>
                </table>
             </div> 
    </xsl:template>


    <xsl:template match="*[local-name() = 'item']" mode="table">
        <xsl:if test="@selected = 'true'">
            <tr>
                <td class="value"><xsl:value-of select="./label"/></td>
            </tr>
        </xsl:if>
    </xsl:template>
    

    <xsl:template match="*[local-name() = 'select1']">
        <xsl:variable name="selectName" select="@ref"/>
            <div id="timeseriesfilter">
                <table>
                    <tr>
                        <th class="parameter"><xsl:value-of select="*[local-name() = 'label']"/>:</th>
                        <td><xsl:value-of select="./choices/item/label" /></td>
                    </tr>
                </table>
             </div>
    </xsl:template>
    

    <xsl:template match="*[local-name() = 'group']">
        <xsl:variable name="inputName" select="*[local-name() = 'label']"/>
        <div id="timeseriesfilter">
            <table>
                <tr>
                    <th class="parameter"><xsl:value-of select="*[local-name() = 'label']"/>:</th>
                    <td>
                        <table>
                            <xsl:apply-templates select="input" mode="table"/>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
    </xsl:template>


    <xsl:template match="*[local-name() = 'input']" mode="table">
        <tr>
            <td class="value">
                <xsl:value-of select="./label"/>&#160;<xsl:value-of select="./value"/>
            </td>
        </tr>
    </xsl:template>


</xsl:stylesheet>
